PrefabFiles = {
	"miku",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/miku.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/miku.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/miku.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/miku.xml" ),

    Asset( "IMAGE", "bigportraits/miku.tex" ),
    Asset( "ATLAS", "bigportraits/miku.xml" ),
	
	Asset( "IMAGE", "images/map_icons/miku.tex" ),
	Asset( "ATLAS", "images/map_icons/miku.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_miku.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_miku.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_miku.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_miku.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.miku = "The Pantsu Princess"
STRINGS.CHARACTER_NAMES.miku = "Miku"
STRINGS.CHARACTER_DESCRIPTIONS.miku = "*Immune to freezing."
STRINGS.CHARACTER_QUOTES.miku = "\"Swiggity swootie, I'm comin' fo' dat booty~\""

-- Custom speech strings
STRINGS.CHARACTERS.MIKU = require "speech_miku"

-- The character's name as appears in-game 
STRINGS.NAMES.MIKU = "Miku"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MIKU = 
{
	GENERIC = "It's Miku!",
	ATTACKER = "Cute but deadly!",
	MURDERER = "Murderer! Who knew something so cute could be so evil?",
	REVIVER = "Miku... is she.. an angel?",
	GHOST = "Cute even in death.",
}

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "miku")


AddMinimapAtlas("images/map_icons/miku.xml")
AddModCharacter("miku")

